// ----------------------------------------------------------------------------
// M o d u l e . h   f o r   i i r . s e p
// ----------------------------------------------------------------------------
// second order iir filter module for synthedit
// author: Rudolf Lindner, rlindner@gmx.net
// april, 2003
// ----------------------------------------------------------------------------
// this is freeware, unauthorized commercial use is not permitted
// ----------------------------------------------------------------------------


#pragma once

#include "SEModule_base.h"

class Module : public SEModule_base
{
public:
	Module(seaudioMasterCallback seaudioMaster);
	~Module();

	virtual bool getModuleProperties (SEModuleProperties* properties);
	virtual bool getPinProperties (long index, SEPinProperties* properties);
	virtual void sub_process(long buffer_offset, long sampleFrames );
	void OnPlugStateChange(SEPin *pin);
	virtual void open();

private:
	float *input1;
	float *output1;

    float *koeff_a1;
    float *koeff_a2;
    float *koeff_b0;
    float *koeff_b1;
    float *koeff_b2;


	float wn, wn_1, wn_2;
	
};
